package com.unis.base.server.dao;

import com.unis.base.common.vo.EquipmentRecordsQueryVO;
import com.unis.base.common.vo.EquipmentRecordsVO;
import com.unis.base.server.entity.EquipmentRecordsDO;

import java.util.List;

public interface EquipmentRecordsDao {

    /**
     * 根据参数获取设备记录列表
     * @param equipmentRecordsQueryVO
     * @return
     */
    List<EquipmentRecordsVO> getEquipmentRecordsList(EquipmentRecordsQueryVO equipmentRecordsQueryVO);

    /**
     * 新增设备记录
     * @param equipmentRecordsDO
     * @return
     */
    int insert(EquipmentRecordsDO equipmentRecordsDO);

    int insertSelective(EquipmentRecordsDO record);

    /**
     * 根据设备编号获取设备记录
     * @param sbbajlId
     * @return
     */
    EquipmentRecordsDO getEquipmentRecordsInfo(Integer sbbajlId);

    /**
     * 获取最大记录id
     * @return
     */
    Integer selectMaxId();

}